SummaryReporter {testthat} | R Documentation

## Test reporter: summary of errors.

### Description

This is a reporter designed for interactive usage: it lets you know which tests have run successfully and as well as fully reporting information about failures and errors.

### Usage

    SummaryReporter

### Format

An object of class `R6ClassGenerator` of length 24.

### Details

You can use the `max_reports` field to control the maximum number of detailed reports produced by this reporter. This is useful when running with `auto_test()`

As an additional benefit, this reporter will praise you from time-to-time if all your tests pass.

### See Also

Other reporters: `CheckReporter`, `DebugReporter`, `FailReporter`, `ListReporter`, `LocationReporter`, `MinimalReporter`, `MultiReporter`, `ProgressReporter`, `Reporter`, `RstudioReporter`, `SilentReporter`, `StopReporter`, `TapReporter`, `TeamcityReporter`

[Package testthat version 2.1.1 Index]